// Configuration and Default Values

// Usage: config.r1_min;

var config = {
	center_x: 410,
	center_y: 300,
	
	f_value: 50,
	r1_min: 0,
	r1_max: 230,
	r1_value: 150,
	l1_min: 0,
	l1_max: 630,
	l1_value: 250,
	c1_min: 18,
	c1_max: 250,
	c1_value: 100
}


// Create a random number for R (rounded to 10)
var r1_rnd = Math.floor((Math.random() * config.r1_max) + config.r1_min);
r1_rnd = Math.round(r1_rnd / 10) * 10;
config.r1_value = r1_rnd.toFixed(1);

// Create a random number for L (rounded to 10)
var l1_rnd = Math.floor((Math.random() * config.l1_max) + config.l1_min);
l1_rnd = Math.round(l1_rnd / 10) * 10;
config.l1_value = l1_rnd.toFixed(1);

// Create a random number for C (rounded to 10)
var c1_rnd = Math.floor((Math.random() * config.c1_max) + config.c1_min);
c1_rnd = Math.round(c1_rnd / 10) * 10;
config.c1_value = c1_rnd.toFixed(1);


