// Harbuger menu
$("#hmenu a").click(function() {
	$(".bar").toggleClass("animate");
	if ( $("#oer_sidebar").hasClass("hide") ) {
		$("#oer_sidebar").removeClass("hide");
	} else {
		$("#oer_sidebar").addClass("hide");
	}
});



// Show/Hide Controls
$("#p1_toggle").click(function() {
	if ( $("#p1").hasClass("show") ) {
		$("#p1_toggle i").removeClass("fa-chevron-circle-down");
		$("#p1_toggle i").addClass("fa-chevron-circle-up");
	} else {
		$("#p1_toggle i").removeClass("fa-chevron-circle-up");
		$("#p1_toggle i").addClass("fa-chevron-circle-down");
	}
});


// Controls Values
var r1 = parseFloat( $("#num_r1").val() );
var l1 = parseFloat( $("#num_l1").val() );
var c1 = parseFloat( $("#num_c1").val() );



// Keep sliders and numbers in sync
$("#r1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#num_r1").val( v.toFixed(1) );	// show 1 decimal
	update_r1_add_remove_icon();
	update_circuit();
});

$("#num_r1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#r1").val( v.toFixed(1) );		// show 1 decimal
	update_r1_add_remove_icon();
	update_circuit();
});

$("#l1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#num_l1").val( v.toFixed(1) );	// show 1 decimal
	update_l1_add_remove_icon();
	update_circuit();
});

$("#num_l1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#l1").val( v.toFixed(1) );		// show 1 decimal
	update_l1_add_remove_icon();
	update_circuit();
});

$("#c1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#num_c1").val( v.toFixed(1) );	// show 1 decimal
	update_c1_add_remove_icon();
	update_circuit();
});

$("#num_c1").change(function() {
	var v = $(this).val();
	v = Math.round(v*10)/10;			// round to 1 decimal
	$("#c1").val( v.toFixed(1) );		// show 1 decimal
	update_c1_add_remove_icon();
	update_circuit();
});



// Add/Remove Circuit Elements
function r1_toggle_click() {

	if ( $("#r1_toggle").hasClass("fa-minus-circle") ) {
		// remove R
		$("#r1_toggle").removeClass("fa-minus-circle");
		$("#r1_toggle").addClass("fa-plus-circle");
		$("#r1_toggle").prop("title", "Προσθήκη");
		// save value in case the user restore the element
		config.r1_value = $("#num_r1").val();
		// set value to zero
		$("#num_r1").val(0);
		$("#r1").val(0);
	} else {
		// add R
		$("#r1_toggle").removeClass("fa-plus-circle");
		$("#r1_toggle").addClass("fa-minus-circle");
		$("#r1_toggle").prop("title", "Αφαίρεση");
		$("#num_r1").val(config.r1_value);
		$("#r1").val(config.r1_value);
	}

	update_circuit();

}

$("#r1_toggle").on("click", r1_toggle_click);



function l1_toggle_click() {

	if ( $("#l1_toggle").hasClass("fa-minus-circle") ) {
		// remove L
		$("#l1_toggle").removeClass("fa-minus-circle");
		$("#l1_toggle").addClass("fa-plus-circle");
		$("#l1_toggle").prop("title", "Προσθήκη");
		// save value in case the user restore the element
		config.l1_value = $("#num_l1").val();
		// set value to zero
		$("#num_l1").val(0);
		$("#l1").val(0);
	} else {
		// add L
		$("#l1_toggle").removeClass("fa-plus-circle");
		$("#l1_toggle").addClass("fa-minus-circle");
		$("#l1_toggle").prop("title", "Αφαίρεση");
		$("#num_l1").val(config.l1_value);
		$("#l1").val(config.l1_value);
	}

	update_circuit();

}

$("#l1_toggle").on("click", l1_toggle_click);



function c1_toggle_click() {

	if ( $("#c1_toggle").hasClass("fa-minus-circle") ) {
		// remove C
		$("#c1_toggle").removeClass("fa-minus-circle");
		$("#c1_toggle").addClass("fa-plus-circle");
		$("#c1_toggle").prop("title", "Προσθήκη");
		// save value in case the user restore the element
		config.c1_value = $("#num_c1").val();
		// set value to zero
		$("#num_c1").val(0);
		$("#c1").val(0);
	} else {
		// add C
		$("#c1_toggle").removeClass("fa-plus-circle");
		$("#c1_toggle").addClass("fa-minus-circle");
		$("#c1_toggle").prop("title", "Αφαίρεση");
		$("#num_c1").val(config.c1_value);
		$("#c1").val(config.c1_value);
	}

	update_circuit();

}

$("#c1_toggle").on("click", c1_toggle_click);


// Update add/remove icon based on element value
function update_r1_add_remove_icon() {
	if ($("#num_r1").val()>0) {
		$("#r1_toggle").removeClass("fa-plus-circle");
		$("#r1_toggle").addClass("fa-minus-circle");
		$("#r1_toggle").prop("title", "Αφαίρεση");	
	} else {
		$("#r1_toggle").removeClass("fa-minus-circle");
		$("#r1_toggle").addClass("fa-plus-circle");
		$("#r1_toggle").prop("title", "Προσθήκη");
	}
}

function update_l1_add_remove_icon() {
	if ($("#num_l1").val()>0) {
		$("#l1_toggle").removeClass("fa-plus-circle");
		$("#l1_toggle").addClass("fa-minus-circle");
		$("#l1_toggle").prop("title", "Αφαίρεση");	
	} else {
		$("#l1_toggle").removeClass("fa-minus-circle");
		$("#l1_toggle").addClass("fa-plus-circle");
		$("#l1_toggle").prop("title", "Προσθήκη");
	}
}

function update_c1_add_remove_icon() {
	if ($("#num_c1").val()>0) {
		$("#c1_toggle").removeClass("fa-plus-circle");
		$("#c1_toggle").addClass("fa-minus-circle");
		$("#c1_toggle").prop("title", "Αφαίρεση");	
	} else {
		$("#c1_toggle").removeClass("fa-minus-circle");
		$("#c1_toggle").addClass("fa-plus-circle");
		$("#c1_toggle").prop("title", "Προσθήκη");
	}
}


/*
// Switch R on click
switch_r_area.addEventListener("click", handleClick);

function handleClick(evt) {

	
	r1_toggle_click();
	update_r1_add_remove_icon();

	// Update Circuit
	update_circuit();

}
*/





// Minus and Plus buttons
function r1_minus_click() {
	var step = 1;
	var r1 = parseFloat( $("#num_r1").val() );
	if (r1-step >= config.r1_min) {
		r1 -= step;
		$("#num_r1").val(r1);
		$("#r1").val(r1);
	}
	update_circuit();
}

function r1_plus_click() {
	var step = 1;
	var r1 = parseFloat( $("#num_r1").val() );
	if (r1+step <= config.r1_max) {
		r1 += step;
		$("#num_r1").val(r1);
		$("#r1").val(r1);
	}
	update_circuit();
}

$("#r1_minus").on("click", r1_minus_click);
$("#r1_plus").on("click", r1_plus_click);

function l1_minus_click() {
	var step = 1;
	var l1 = parseFloat( $("#num_l1").val() );
	if (l1-step >= config.l1_min) {
		l1 -= step;
		$("#num_l1").val(l1);
		$("#l1").val(l1);
	}
	update_circuit();
}

function l1_plus_click() {
	var step = 1;
	var l1 = parseFloat( $("#num_l1").val() );
	if (l1+step <= config.l1_max) {
		l1 += step;
		$("#num_l1").val(l1);
		$("#l1").val(l1);
	}
	update_circuit();
}

$("#l1_minus").on("click", l1_minus_click);
$("#l1_plus").on("click", l1_plus_click);


function c1_minus_click() {
	var step = 1;
	var c1 = parseFloat( $("#num_c1").val() );
	if (c1-step >= config.c1_min) {
		c1 -= step;
		$("#num_c1").val(c1);
		$("#c1").val(c1);
	}
	update_circuit();
}

function c1_plus_click() {
	var step = 1;
	var c1 = parseFloat( $("#num_c1").val() );
	if (c1+step <= config.c1_max) {
		c1 += step;
		$("#num_c1").val(c1);
		$("#c1").val(c1);
	}
	update_circuit();
}

$("#c1_minus").on("click", c1_minus_click);
$("#c1_plus").on("click", c1_plus_click);



// Theory Button
$("#btn_theory").click(function() {
	if ( $("#oer_theory").hasClass("hide") ) {
		$("#oer_theory").removeClass("hide");
		$("#btn_theory").addClass("active");
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	} else {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
	}
});


// Application Button
$("#btn_application").click(function() {
	if ( $("#oer_application").hasClass("hide") ) {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
		$("#oer_application").removeClass("hide");
		$("#btn_application").addClass("active");
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	} else {
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
	}
});


// Investigation Button
$("#btn_investigation").click(function() {
	if ( $("#oer_investigation").hasClass("hide") ) {
		$("#oer_theory").addClass("hide");
		$("#btn_theory").removeClass("active");
		$("#oer_application").addClass("hide");
		$("#btn_application").removeClass("active");
		$("#oer_investigation").removeClass("hide");
		$("#btn_investigation").addClass("active");
	} else {
		$("#oer_investigation").addClass("hide");
		$("#btn_investigation").removeClass("active");
	}
});


// Navigation to prev/next applications
$("#oer_app_next").click(function() {
	$("#oer_app1").removeClass("active");
	$("#oer_app2").addClass("active");
	$("#oer_app_prev").removeClass("hide");
	$("#oer_app_next").addClass("hide");
	//$("#oer_application").css("margin-top", "-135px");
});

$("#oer_app_prev").click(function() {
	$("#oer_app2").removeClass("active");
	$("#oer_app1").addClass("active");
	$("#oer_app_prev").addClass("hide");
	$("#oer_app_next").removeClass("hide");
	//$("#oer_application").css("margin-top", "-112px");
});


// Navigation to prev/next investigation
$("#oer_inv_next").click(function() {
	// 1 to 2
	if ( $("#oer_inv1").hasClass("active") ) {
		$("#oer_inv1").removeClass("active");
		$("#oer_inv2").addClass("active");
		$("#oer_inv_prev").removeClass("hide");
		$("#oer_investigation").css("margin-top", "-87px");
	} else if ( $("#oer_inv2").hasClass("active") ) {
		// 2 to 3
		$("#oer_inv2").removeClass("active");
		$("#oer_inv3").addClass("active");
		$("#oer_investigation").css("margin-top", "-63px");
	} else if ( $("#oer_inv3").hasClass("active") ) {
		// 3 to 4
		$("#oer_inv3").removeClass("active");
		$("#oer_inv4").addClass("active");
		$("#oer_investigation").css("margin-top", "-63px");
	} else {
		// 4 to 5
		$("#oer_inv4").removeClass("active");
		$("#oer_inv5").addClass("active");
		$("#oer_inv_next").addClass("hide");
		$("#oer_investigation").css("margin-top", "-87px");		
	}
});

$("#oer_inv_prev").click(function() {
	if ( $("#oer_inv5").hasClass("active") ) {
		// 5 to 4
		$("#oer_inv5").removeClass("active");
		$("#oer_inv4").addClass("active");
		$("#oer_inv_next").removeClass("hide");
		$("#oer_investigation").css("margin-top", "-63px");
	} else if ($("#oer_inv4").hasClass("active")) {
		// 4 to 3
		$("#oer_inv4").removeClass("active");
		$("#oer_inv3").addClass("active");
		$("#oer_investigation").css("margin-top", "-63px");
	} else if ( $("#oer_inv3").hasClass("active") ) {
		// 3 to 2
		$("#oer_inv3").removeClass("active");
		$("#oer_inv2").addClass("active");
		$("#oer_investigation").css("margin-top", "-87px");
	} else {
		// 2 to 1
		$("#oer_inv2").removeClass("active");
		$("#oer_inv1").addClass("active");
		$("#oer_inv_prev").addClass("hide");
		$("#oer_investigation").css("margin-top", "-63px");
	}
});


